summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJohn Hurst <jhurst@cinecert.com>2021-09-12 12:59:20 -0700
committerGitHub <noreply@github.com>2021-09-12 12:59:20 -0700
commitee05c1db4cf89b5e59c38558443f82fa097cab26 (patch)
tree6b54f6864813627590d6d8cc253d9decaed6c43b
parent0148c99d35e21a05f29be9a5ca8ff926e2be26d7 (diff)
parentf468cbec20d035e1fb0db1da2ec5a39fd64cb596 (diff)
Merge pull request #97 from thorfdbg/master
Fixed a wrong byte in the JPEG XS subdescriptor
-rwxr-xr-xautogen.sh14
-rw-r--r--src/MDD.cpp2
2 files changed, 15 insertions, 1 deletions
diff --git a/autogen.sh b/autogen.sh
new file mode 100755
index 0000000..fc34bd5
--- /dev/null
+++ b/autogen.sh
@@ -0,0 +1,14 @@
+#! /bin/sh
+
+srcdir=`dirname $0`
+test -z "$srcdir" && srcdir=.
+
+ORIGDIR=`pwd`
+cd $srcdir
+
+autoreconf -v --install || exit 1
+cd $ORIGDIR || exit $?
+
+if test -z "$NOCONFIGURE"; then
+ $srcdir/configure "$@"
+fi
diff --git a/src/MDD.cpp b/src/MDD.cpp
index 4584a48..c513f3b 100644
--- a/src/MDD.cpp
+++ b/src/MDD.cpp
@@ -1702,7 +1702,7 @@ static const ASDCP::MDDEntry s_MDD_Table[] = {
{ { 0x06, 0x0e, 0x2b, 0x34, 0x04, 0x01, 0x01, 0x0d,
0x04, 0x01, 0x02, 0x02, 0x03, 0x08, 0x09, 0x00 },
{0}, false, "JPEGXSHigh4444_12Profile" }, // 549
- { { 0x06, 0x0e, 0x2b, 0x34, 0x02, 0x7f, 0x01, 0x01,
+ { { 0x06, 0x0e, 0x2b, 0x34, 0x02, 0x53, 0x01, 0x01,
0x0d, 0x01, 0x01, 0x01, 0x01, 0x01, 0x81, 0x02 },
{0}, false, "JPEGXSSubDescriptor" }, // 550
{ { 0x06, 0x0e, 0x2b, 0x34, 0x01, 0x01, 0x01, 0x0e,